System Requirements

The chipped dagger runs on Windows, Mac OSX, Linus, Solaris, and possibly other platforms that support Java. You also need Java installed to play. Most users already have Java installed. You can visit the Java homepage to see if you have Java installed.

If you don’t have the newest version of Java installed (version “1.6.0 u20″ as of April 19th, 2010), the Java homepage can help you get the latest version. Any Java version 1.6 or newer should work however.

The Chipped Dagger should run fine on most systems built in the last 6-8 years.

Although you can play over a dialup connection, a broadband connection is recommended.


Comments are closed.